API Test Keys

Validate a Bank Account

POST
/v1/fund_accounts/validations

Click to copy

Use this endpoint to create a bank account validation transaction.

Is this page helpful?

Curl

1
curl -u <YOUR_KEY>:<YOUR_SECRET> \
2
-X POST https://api.razorpay.com/v1/fund_accounts/validations \
3
-H "Content-Type: application/json" \
4
-d '{
5
"account_number": "7878780080316316",
6
"fund_account": {
7
"id": "fa_00000000000001"
8
},
9
"amount": 100,
10
"currency": "INR",
11
"notes": {
12
"random_key_1": "Make it so.",
13
"random_key_2": "Tea. Earl Grey. Hot."
14
}
15
}'

Created

Completed

Failed

1
{
2
"id": "fav_00000000000001",
3
"entity": "fund_account.validation",
4
"fund_account": {
5
"id": "fa_00000000000001",
6
"entity": "fund_account",
7
"contact_id": "cont_00000000000001",
8
"account_type": "bank_account",
9
"bank_account": {
10
"name": "Gaurav Kumar",
11
"bank_name": "HDFC",
12
"ifsc": "HDFC0000053",
13
"account_number": "765432123456789"
14
},
15
"batch_id": null,
16
"active": true,
17
"created_at": 1567064019
18
},
19
"status": "created",
20
"amount": 100,
21
"currency": "INR",
22
"notes": {
23
"random_key_1": "Make it so.",
24
"random_key_2": "Tea. Earl Grey. Hot."
25
},
26
"results": {
27
"account_status": null,
28
"registered_name": null
29
},
30
"created_at": 1547566278,
31
"utr": null
32
}
Request Parameters
account_number

*

string

The account from which money should be deducted for the account validation transaction.

  • Pass your customer identifier if you want money to be deducted from RazorpayX Lite.

Watch Out!

  • This is not your contact's bank account number. Log in to your and go to My Account & Settings → Banking → Customer Identifier.
  • This value is different for Test Mode and Live Mode.

fund_account

*

object

The fund account id you want to validate.

Show child parameters (1)

amount

*

integer

The amount, in paise, to be transferred. For example, pass 100 for ₹1. The default value for this parameter is 100.
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.

currency
string

The currency for the transfer. The value has to be INR. If no value is passed, it is assumed to be INR.

notes
object

Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.

Response Parameters
id
string

The unique identifier linked to the fund account validation. For example, fav_0000000001.

entity
string

Here it is fund_account.validation.

status
string

The status of the account validation transaction. Possible values:

  • created
  • completed
  • failed

validation_results
object

Details extracted from the results of the fund account validation.

Show child parameters (4)

validated_account_type
string

Here it is bank_account.

Show child parameters (1)

status_details
object

Status of the fund account validation.

Show child parameters (3)

reference_id
string

Unique reference_id generated for the validation transaction.

fund_account
object

The details of the fund account which was validated.

Show child parameters (3)

vpa
object

The details associated with the account holder's virtual payment address.

Show child parameters (1)

active
boolean

Possible values of fund account status:

  • true: active
  • false: inactive

created_at
integer

Timestamp, in unix, when the fund account was created. For example, 1543650891.

contact
object

The contact's details.

Show child parameters (8)

Validate a Bank Account

POST
/v1/fund_accounts/validations

Click to copy

Use this endpoint to create a bank account validation transaction.

Is this page helpful?

Request Parameters
account_number

*

string

The account from which money should be deducted for the account validation transaction.

  • Pass your customer identifier if you want money to be deducted from RazorpayX Lite.

Watch Out!

  • This is not your contact's bank account number. Log in to your and go to My Account & Settings → Banking → Customer Identifier.
  • This value is different for Test Mode and Live Mode.

fund_account

*

object

The fund account id you want to validate.

Show child parameters (1)

amount

*

integer

The amount, in paise, to be transferred. For example, pass 100 for ₹1. The default value for this parameter is 100.
The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.

currency
string

The currency for the transfer. The value has to be INR. If no value is passed, it is assumed to be INR.

notes
object

Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.

Response Parameters
id
string

The unique identifier linked to the fund account validation. For example, fav_0000000001.

entity
string

Here it is fund_account.validation.

status
string

The status of the account validation transaction. Possible values:

  • created
  • completed
  • failed

validation_results
object

Details extracted from the results of the fund account validation.

Show child parameters (4)

validated_account_type
string

Here it is bank_account.

Show child parameters (1)

status_details
object

Status of the fund account validation.

Show child parameters (3)

reference_id
string

Unique reference_id generated for the validation transaction.

fund_account
object

The details of the fund account which was validated.

Show child parameters (3)

vpa
object

The details associated with the account holder's virtual payment address.

Show child parameters (1)

active
boolean

Possible values of fund account status:

  • true: active
  • false: inactive

created_at
integer

Timestamp, in unix, when the fund account was created. For example, 1543650891.

contact
object

The contact's details.

Show child parameters (8)

Curl

1
curl -u <YOUR_KEY>:<YOUR_SECRET> \
2
-X POST https://api.razorpay.com/v1/fund_accounts/validations \
3
-H "Content-Type: application/json" \
4
-d '{
5
"account_number": "7878780080316316",
6
"fund_account": {
7
"id": "fa_00000000000001"
8
},
9
"amount": 100,
10
"currency": "INR",
11
"notes": {
12
"random_key_1": "Make it so.",
13
"random_key_2": "Tea. Earl Grey. Hot."
14
}
15
}'

Created

Completed

Failed

1
{
2
"id": "fav_00000000000001",
3
"entity": "fund_account.validation",
4
"fund_account": {
5
"id": "fa_00000000000001",
6
"entity": "fund_account",
7
"contact_id": "cont_00000000000001",
8
"account_type": "bank_account",
9
"bank_account": {
10
"name": "Gaurav Kumar",
11
"bank_name": "HDFC",
12
"ifsc": "HDFC0000053",
13
"account_number": "765432123456789"
14
},
15
"batch_id": null,
16
"active": true,
17
"created_at": 1567064019
18
},
19
"status": "created",
20
"amount": 100,
21
"currency": "INR",
22
"notes": {
23
"random_key_1": "Make it so.",
24
"random_key_2": "Tea. Earl Grey. Hot."
25
},
26
"results": {
27
"account_status": null,
28
"registered_name": null
29
},
30
"created_at": 1547566278,
31
"utr": null
32
}